Subject: bug#7231: 23.3; Don't rebuild buffer list in iswitchb-visit-buffer

From: Leo <[email-masked]>
Date: Thu, 21 Oct 2010 15:19:17 +0800

On 2010-10-20 12:53 +0800, Leo wrote:
[...]
>
> If the proposed solution to iswitchb is acceptable, a similar one should
> be done for ido.
[...]

On 2010-10-20 17:19 +0800, Óscar Fuentes wrote:
[...]
> Can you post a version that does not require to previosly introduce
> another patch, so we can test *this* proposed solution instead of
> something else?
>
> [snip]

Due to the way ido set matches i.e. it ranges matches into a few
sections unless ido-rotate is non-nil (see #5724) and the order of
rotated matches is lost after any none rotating commands, please ignore
the patch for ido for now.

Could someone having commit access apply the patch for iswitchb? I have
received a complaint from someone via IRC the other day.

Thanks.

Leo